Bug 27135 - Viewing local cover images at item level shows a link to upload image at record level
Summary: Viewing local cover images at item level shows a link to upload image at reco...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 26145
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-02 16:17 UTC by Fridolin Somers
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 27135: Adjust "upload image" button when viewing item's cover images (2.35 KB, patch)
2020-12-03 08:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27135: Adjust "upload image" button when viewing item's cover images (2.42 KB, patch)
2020-12-03 15:14 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27135: Adjust "upload image" button when viewing item's cover images (2.48 KB, patch)
2021-01-02 18:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-12-02 16:17:54 UTC
When viewing local cover images at item level :
  /cgi-bin/koha/catalogue/imageviewer.pl?itemnumber=X&imagenumber=Y
Page shows a link to upload image at record level :
  /cgi-bin/koha/tools/upload-cover-image.pl?biblionumber=108&filetype=image

This link should point to uploading at item level no ?

PS : viewer should display some information about the item, like barcode.
Comment 1 Jonathan Druart 2020-12-03 08:44:14 UTC
Created attachment 114134 [details] [review]
Bug 27135: Adjust "upload image" button when viewing item's cover images

When viewing the cover image of an item, the "upload image" button is
about to upload an image at biblio level.

Test plan:
- Attach a cover image to an item
- View it
- Notice the "Upload image" button, confirm that with this patch applied
the wording changed and that clicking it will attach a cover image to
the item
- Attach a cover image to the biblio
- View it
- Notice the "Upload image" button, confirm that with this patch applied
the wording changed and that clicking it will attach a cover image to
the biblio
Comment 2 Fridolin Somers 2020-12-03 15:14:38 UTC
Created attachment 114151 [details] [review]
Bug 27135: Adjust "upload image" button when viewing item's cover images

When viewing the cover image of an item, the "upload image" button is
about to upload an image at biblio level.

Test plan:
- Attach a cover image to an item
- View it
- Notice the "Upload image" button, confirm that with this patch applied
the wording changed and that clicking it will attach a cover image to
the item
- Attach a cover image to the biblio
- View it
- Notice the "Upload image" button, confirm that with this patch applied
the wording changed and that clicking it will attach a cover image to
the biblio

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 3 Katrin Fischer 2021-01-02 18:29:33 UTC
Created attachment 114767 [details] [review]
Bug 27135: Adjust "upload image" button when viewing item's cover images

When viewing the cover image of an item, the "upload image" button is
about to upload an image at biblio level.

Test plan:
- Attach a cover image to an item
- View it
- Notice the "Upload image" button, confirm that with this patch applied
the wording changed and that clicking it will attach a cover image to
the item
- Attach a cover image to the biblio
- View it
- Notice the "Upload image" button, confirm that with this patch applied
the wording changed and that clicking it will attach a cover image to
the biblio

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-01-04 13:10:50 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-01-07 13:51:54 UTC
Pushed to 20.11.x for 20.11.02
Comment 6 Andrew Fuerste-Henry 2021-01-11 21:10:35 UTC
Missing dependency, not backported to 20.05